<?php

/**
 * tip_com_short actions.
 *
 * @package    contab2
 * @subpackage tip_com_short
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class tip_com_shortActions extends sfQuery {

    protected $table_names = array(
        'CN_TIPO_COMPROBANTE'
    );
    protected $table_join_ids = array();
    protected $fields = array(
        'CN_TIPO_COMPROBANTE' =>
        array(
            'id_tipo_comprobante' => 'id_tipo_comprobante',
            'id_cia' => 'id_cia',
            'nom_tipo_comprobante' => 'nom_tipo_comprobante',
            'nom_corto' => 'nom_corto',
            'nom_corto,||, - ,||,nom_tipo_comprobante' => 'completo'
        )
    );
    protected $table_field_conditions = array(
        'CN_TIPO_COMPROBANTE' =>
        array(
            'id_cia' => array('=' => array('id_cia'))
        )
    );
    protected $table_field_or_conditions = array(
        'CN_TIPO_COMPROBANTE' =>
        array(
            'id_tipo_comprobante' => array('LIKE' => array('input', '%')),
            'nom_tipo_comprobante' => array('LIKE' => array('input', '%'))
        )
    );

}
